setup.func = function(dest,...arg){
	let lv = arg;

	let cached_location_vars = State.variables.location_var[dest];
	let cached_here = State.variables.here;
	let cached_args = State.variables.ARGS;

	State.variables.location_var[dest] = lv;
	State.variables.here = dest;

	let cached_result = State.variables.result;
	//State.variables.result = undefined;
	$.wiki(`<<include "${dest}">>`);
	let result = State.variables.result;

	/*if(result === undefined && State.variables.result != undefined){
		result = State.variables.result;
		console.log('Encountered lower-case result');
	}*/
	result = clone(result);
	console.log("FUNC: "+dest,lv,result);
	State.variables.result = cached_result;
	State.variables.location_var[dest] = cached_location_vars;
	State.variables.here = cached_here;
	State.variables.ARGS = cached_args;

	//State.variables.result = undefined;


	return result;
}

